<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>CIDD management</h1>
                <h:panelGroup rendered="#{ciddMessageManager.displayList}">
                    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                        <ui:param name="panel_id" value="allMessagePanel"/>
                        <ui:define name="panel_title">
                            <h:outputText value="CIDD messages"/>
                        </ui:define>
                        <a4j:commandButton value="Create new message"
                                           actionListener="#{ciddMessageManager.createCiddMessage()}"
                                           render="globalDiv" styleClass="gzl-btn-green"/>
                        <a4j:commandButton value="Validate all messages against XSD"
                                           actionListener="#{ciddMessageManager.validateAll()}"
                                           render="globalDiv" styleClass="gzl-btn-green"/>
                        <s:decorate template="/common/ciddmessages/ciddMessageDatatable.xhtml"
                                    rendered="#{not empty ciddMessageManager.ciddMessages}">
                            <ui:param name="ciddMessages" value="#{ciddMessageManager.ciddMessages}"/>
                            <ui:define name="additional_columns">
                                <g:column filterEvent="onkeyup">
                                    <ui:define name="header">Valid</ui:define>
                                    <s:span styleClass="gzl-icon-checked"
                                            rendered="#{ciddMessage.valid != null and ciddMessage.valid}"
                                            title="PASSED"/>
                                    <s:span styleClass="gzl-icon-times" title="FAILED"
                                            rendered="#{ciddMessage.valid != null and !ciddMessage.valid}"/>
                                    <a4j:commandLink actionListener="#{ciddMessageManager.validate(ciddMessage)}"
                                                     render="globalDiv"
                                                     title="Click to validate"
                                                     rendered="#{ciddMessage.valid == null}">
                                        <s:span styleClass="fa fa-play gzl-text-blue"/>
                                    </a4j:commandLink>
                                    <a4j:commandLink actionListener="#{ciddMessageManager.validate(ciddMessage)}"
                                                     render="globalDiv"
                                                     title="Click to validate"
                                                     rendered="#{ciddMessage.valid != null}">
                                        <s:span styleClass="fa fa-refresh gzl-text-blue"/>
                                    </a4j:commandLink>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <div class="gzl-never-wrap">
                                        <a4j:commandLink event="click"
                                                         title="Edit CIDD messages"
                                                         render=" :globalDiv" execute="@this"
                                                         actionListener="#{ciddMessageManager.editCiddMessage(ciddMessage)}">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                        <a4j:commandLink event="click"
                                                         title="Delete CIDD messages"
                                                         render=" :globalDiv, :delete_ciddMessageModalPanelForm"
                                                         execute="@this"
                                                         actionListener="#{ciddMessageManager.setSelectedCiddMessage(ciddMessage)}"
                                                         oncomplete="jq162('#delete_message').modal('show');">
                                            <span class="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </div>
                                </g:column>
                            </ui:define>
                        </s:decorate>
                        <h:outputText value="Aucun message"
                                      rendered="#{empty ciddMessageManager.ciddMessages}"/>
                    </ui:decorate>
                </h:panelGroup>
                <s:div id="editCiddMessageDiv"
                       rendered="#{ciddMessageManager.editMessage and ciddMessageManager.selectedCiddMessage != null}">
                    <ui:include src="/common/ciddmessages/editCiddMessage.xhtml">
                        <ui:param name="ciddMessage" value="#{ciddMessageManager.selectedCiddMessage}"/>
                    </ui:include>
                </s:div>
            </s:div>
        </h:form>
        <h:form id="delete_ciddMessageModalPanelForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="delete_message"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.hpd.ConfirmDeletion']}</ui:define>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.hpd.YouAreAboutToDeleteTheLDAPPartitionWithName']} #{ldapPartitionManager.selectedPartition.name}, #{messages['net.ihe.gazelle.hpd.AreYouSure']}"/>
                </p>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['users.Cancel']}"
                                       actionListener="#{ciddMessageManager.setSelectedCiddMessage(null)}"
                                       execute="@this"
                                       onclick="jq162('#delete_message').modal('hide');"
                                       styleClass="gzl-btn"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.hpd.Confirm']}"
                                       actionListener="#{ciddMessageManager.deleteSelectedMessage(ciddMessage)}"
                                       render="partitionTable" execute="@this" ignoreDupResponses="true"
                                       onclick="jq162('#delete_message').modal('hide');"
                                       styleClass="gzl-btn-red"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
